Skip to content

Call Statuses List

Retrieves the list of call statuses in Liner. If successful, returns all call statuses.

Note

Pagination is not implemented — the full list of call statuses is returned.


Endpoint and Method

GET /v2/call-status/


Request Example

curl -X GET "https://YOUR_LINER_API_HOST/v2/call-statuses/" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: YOUR_API_TOKEN"
<?php

$host = 'https://YOUR_LINER_API_HOST';
$token = 'YOUR_API_TOKEN';

$ch = curl_init($host . '/v2/call-statuses/');
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Content-Type: application/json',
        'X-Api-Key: ' . $token,
    ],
    CURLOPT_TIMEOUT => 15,
]);

$response = curl_exec($ch);
$httpCode = curl_getinfo($ch, CURLINFO_HTTP_CODE);

if ($response === false) {
    throw new RuntimeException('cURL error: ' . curl_error($ch));
}

curl_close($ch);

echo "HTTP {$httpCode}\n";
echo $response;
const host = "https://YOUR_LINER_API_HOST";
const token = "YOUR_API_TOKEN";

const res = await fetch(`${host}/v2/call-statuses/`, {
  method: "GET",
  headers: {
    "Content-Type": "application/json",
    "X-Api-Key": token
  }
});

const data = await res.json();
console.log("HTTP", res.status, data);

Response Example

{
  "success": true,
  "message": "",
  "data": [
    {
      "id": 123,
      "code": "answered",
      "title": "Answered",
      "description": "Client answered the call",
      "sort": 10,
      "commentRequired": false,
      "isAvailableForAi": true,
      "agentCallAvailability": "always",
      "leadStatusCode": null,
      "planningTimeRequired": false,
      "isSystem": false
    }
  ]
}

Response Fields

Field Type Description
id int Status identifier.
code string Status code.
title string Status title.
description string Status description.
sort int Sort order.
commentRequired bool Whether a comment is required for a call completed with this status.
isAvailableForAi bool Whether the status is available for the AI bot.
agentCallAvailability string When the status is shown to the user after call processing. Available values: after_call_transfer, always, never.
leadStatusCode string | null Lead status code corresponding to this call status (if set).
planningTimeRequired bool Whether scheduling the next call is required after processing.
isSystem bool Whether the status is system-defined.

Note

The structure of the data field is described above. For the overall API response format, see Request Schema